package com.ztmap.project.zhny.electricpowergeneration.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 发电量对象 t_electric_power_generation
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TElectricPowerGeneration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据日期 */
    @Excel(name = "数据日期")
    private String dataTime;

    /** 发电类型（1：光伏 2：风力） */
    @Excel(name = "发电类型", readConverterExp = "1=：光伏,2=：风力")
    private Long type;

    /** 发电量 */
    @Excel(name = "发电量")
    private Double num;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setNum(Double num)
    {
        this.num = num;
    }

    public Double getNum()
    {
        return num;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataTime", getDataTime())
            .append("type", getType())
            .append("num", getNum())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
